@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;800&display=swap');

:root{
  --bg:#17191d;
  --card:#1d2025;
  --card2:#20242a;

  --text:#ffffff;
  --muted:#9ea5b0;

  --cyan:#25e4ff;
  --cyan-soft:rgba(37,228,255,.15);

  --border:rgba(255,255,255,.06);
}

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

html{
  scroll-behavior:smooth;
}

body{
  background:

  radial-gradient(

    circle at top,

    rgba(11, 11, 11, 0.025),

    transparent 40%

  ),

  #05070b;

    #0a0a0a;  color:var(--text);
  font-family:'Inter',sans-serif;
  overflow-x:hidden;
  position:relative;
  min-height:100vh;
}
body::before{
  content:'';
  position:fixed;
  inset:0;
  pointer-events:none;

  background-image:
    linear-gradient(
      rgba(37,228,255,.25) 1px,
      transparent 1px
    ),
    linear-gradient(
      90deg,
      rgba(37,228,255,.25) 1px,
      transparent 1px
    );

  background-size:40px 40px;

  opacity:.05;
}
/* ========================= */
/* STAR BACKGROUND */
/* ========================= */

.stars{
  position:fixed;
  inset:0;
  z-index:-1;
  overflow:hidden;
}

.stars::before,
.stars::after{
  content:'';
  position:absolute;
  inset:0;
}


.stars::before{
  background-image:
  radial-gradient(circle at 8% 14%, rgba(37,228,255,.95) 0 2px, transparent 3px),
  radial-gradient(circle at 20% 32%, rgba(37,228,255,.8) 0 1px, transparent 2px),
  radial-gradient(circle at 35% 18%, rgba(37,228,255,.9) 0 2px, transparent 3px),
  radial-gradient(circle at 62% 10%, rgba(37,228,255,.85) 0 1px, transparent 2px),
  radial-gradient(circle at 74% 26%, rgba(37,228,255,.95) 0 2px, transparent 3px),
  radial-gradient(circle at 90% 15%, rgba(37,228,255,.85) 0 2px, transparent 3px),
  radial-gradient(circle at 86% 52%, rgba(37,228,255,.9) 0 1px, transparent 2px),
  radial-gradient(circle at 12% 70%, rgba(37,228,255,.9) 0 2px, transparent 3px),
  radial-gradient(circle at 30% 85%, rgba(37,228,255,.8) 0 1px, transparent 2px),
  radial-gradient(circle at 77% 80%, rgba(37,228,255,.9) 0 2px, transparent 3px);

  animation:starsBlink 8s ease-in-out infinite;
}

.stars::after{
  background-image:
  radial-gradient(circle, rgba(37,228,255,.08) 0 1px, transparent 1px);

  background-size:120px 120px;
  opacity:.4;
}

@keyframes starsBlink{

  0%,100%{
      opacity:.45;
  }

  25%{
      opacity:.9;
  }

  50%{
      opacity:.6;
  }

  75%{
      opacity:1;
  }

}

/* ========================= */
/* LAYOUT */
/* ========================= */

.container{
  width:100%;
  max-width:760px;
  margin:auto;
  padding:0px 18px 60px;
}

/* ========================= */
/* HERO */
/* ========================= */

.hero-logo{
  text-align:center;
  margin-bottom:34px;
}

.logo-circle{
  width:80px;
  height:80px;
  margin:auto;

  border-radius:50%;
  border:2px solid var(--cyan);

  display:flex;
  align-items:center;
  justify-content:center;

  box-shadow:
  0 0 15px rgba(37,228,255,.25);
}

.logo-circle img{
  width:60px;
}

.hero-logo h1{
  margin-top:20px;
  margin-bottom: 10px;
  font-size:25px;
  font-weight:800;
  line-height:1;
}

.hero-logo h1 span{
  color:#36e8de;
}

.hero-logo p{
  color:var(--muted);
  font-size:10px;
  margin-top:8px;
}

.hero-line{
  width:70px;
  height:1px;
  background:#69E2D0;
  border-radius:20px;
  margin:18px auto 0;
  box-shadow:0 0 15px var(--cyan);
}

/* ========================= */
/* BIG CARD */
/* ========================= */

.main-card{

   
  text-decoration:none;

    color:inherit;
  position:relative;

  display:flex;
  align-items:center;
  gap:30px;

  background:rgba(18, 18, 18, 0.82);

  backdrop-filter:blur(12px);

  border:1px solid var(--border);

  border-radius:34px;

  overflow:hidden;

  padding:26px;
  min-height: 220px;
  margin-bottom:24px;
}

.main-card::after{
    content:'';
    position:absolute;

    width:120px;
    height:120px;

    right:-85px;
    bottom:-85px;

    border-radius:50%;

    background:radial-gradient(
        circle,
        rgba(105,226,208,.22) 100%,
        rgba(105,226,208,.10) 35%,
        transparent 75%
    );

    filter:blur(40px);

    pointer-events:none;
}




.main-image{
  width:150px;
  flex-shrink:0;
        position:relative;

}

.main-image img{
  width:100%;
      position:relative;

    z-index:2;

}


.badge{
  display:inline-flex;
  padding:10px 22px;

  border-radius:999px;

  color: #69E2D0;

  background:rgba(37,228,255,.08);

  border:1px solid rgba(37,228,255,.15);
font-size: 10px !important;
  margin-bottom:18px;
}



.main-content h2{
  font-size:30px;
  line-height:1.05;
  margin-bottom:18px;
}

.main-content p{
  color:var(--muted);
  font-size:16px;
  line-height:1.4;
}

.arrow-btn{
  margin-left:50px;

  width:70px;
  height:70px;
  border-radius:50%;

  border:1px solid rgba(37,228,255,.4);

  color:var(--cyan);

  text-decoration:none;

  display:flex;
  align-items:center;
  justify-content:center;

  font-size:25px;

  flex-shrink:0;
}

/* ========================= */
/* GRID */
/* ========================= */

.cards-grid{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:20px;
}

.card{
   position: relative;
  background:rgba(18, 18, 18, 0.82);

  border:1px solid var(--border);

  border-radius:26px;

  padding:20px;

  text-decoration:none;
  color:white;

  display:flex;
  align-items:center;
  gap:18px;
min-height: 90px;
  transition:.25s;
}

.card:hover{
  transform:translateY(-3px);
}

.card-icon{
    width:52px;

    height:52px;

    border-radius:16px;

    background:rgba(255,255,255,.03);

    display:flex;

    align-items:center;

    justify-content:center;

    overflow:hidden;
}

.card-icon img {
       width:78px;

    height:78px;

    object-fit:contain;
}

.card-text{
  flex:1;
}

.card-text h3{
  font-size:20px;
  margin-bottom:8px;
}

.card-text p{
  color:var(--muted);
  line-height:1.5;
  font-size: 12px;
}

.card-arrow{
  color:#69E2D0;
  font-size:32px;

    position:absolute;
    right:12px;
    bottom:12px;

    margin-right: 10px;
    font-size:16px;

}

/* ========================= */
/* TIKTOK */
/* ========================= */

.tiktok-block{
  margin-top:20px;
  
}

.tiktok-header{

  width:100%;

  background:rgba(18, 18, 18, 0.82);

  border:1px solid var(--border);

  border-radius:26px;

  padding:26px;

  display:flex;
  align-items:center;
  justify-content:space-between;

  cursor:pointer;

  color:white;

  transition:.25s;

}

.tiktok-header:hover{
  border-color:rgba(37,228,255,.12);
}

.tt-left{
  display:flex;
  align-items:center;
  gap:18px;
}

.tt-icon{

    width:52px;

    height:52px;

    border-radius:16px;

    background:rgba(255,255,255,.03);

    display:flex;

    align-items:center;

    justify-content:center;

    position:relative;

    overflow:hidden;
}

.tt-icon img {

       width:44px;

    height:44px;

    object-fit:contain;

    position:relative;

    z-index:2;
}
.tt-left h3{
  font-size:21px;
  margin-bottom:6px;
}

.tt-left p{
  color:var(--muted);
}

.tt-arrow{
  width:36px;

  text-align:center;

  font-size:25px;

  color:#69E2D0;

  transition:.35s ease;

}

.tt-arrow.active{
  transform:rotate(180deg);
}

.tiktok-content{

  max-height:0;

  overflow:hidden;

  opacity:0;

  transition:
  max-height .45s ease,
  opacity .35s ease,
  margin .35s ease;

}

.tiktok-content.active{

  max-height:1000px;

  opacity:1;

  margin-top:14px;

}

/* ========================= */
/* STEPS */
/* ========================= */

.step{

  display:flex;

  gap:18px;

  margin-bottom:18px;

  padding:20px;

  border-radius:22px;

  background:rgba(29,32,37,.82);

  border:1px solid var(--border);

}

.step span{

  width:42px;
  height:42px;

  min-width:42px;

  border-radius:50%;

  border:1px solid rgba(37,228,255,.25);

  color:var(--cyan);

  display:flex;
  align-items:center;
  justify-content:center;

  font-weight:700;
}

.step h4{
  margin-bottom:6px;
  font-size:18px;
}

.step p{
  color:var(--muted);
  line-height:1.5;
}

.why-box{

  margin-top:16px;

  padding:22px;

  border-radius:22px;

  background:rgba(37,228,255,.05);

  border:1px solid rgba(37,228,255,.12);

}

.why-box h4{

  color:var(--cyan);

  margin-bottom:8px;

}

.why-box p{

  color:var(--muted);

  line-height:1.6;
  font-size: 12px;

}

/* ========================= */
/* SOCIALS */
/* ========================= */

.socials{

  display:flex;
  justify-content:center;
  gap:12px;

  margin-top:28px;

  flex-wrap:wrap;

}

.social{

   width:58px;

    height:58px;

    border-radius:18px;

    background:rgba(29,32,37,.82);

    border:1px solid var(--border);

    display:flex;

    align-items:center;

    justify-content:center;

    overflow:hidden;

}

.social img{
    width:28px;

    height:28px;

    object-fit:contain;

    display:block;

}

.social:hover{

  border-color:rgba(37,228,255,.15);

  transform:translateY(-2px);

}

/* ========================= */
/* FOOTER */
/* ========================= */

footer{

  margin-top:22px;

  text-align:center;

  color:var(--muted);

  font-size:13px;

  padding-bottom:30px;

}

/* ========================= */
/* MOBILE */
/* ========================= */

@media(max-width:768px){

.container{
  max-width:480px;
  padding:0px 16px 20px;
}

.logo-circle{
  width:70px;
  height:70px;
}

.logo-circle img{
  width:58px;
}

.hero-logo{
  margin-bottom:22px;
}

.hero-logo h1{
  font-size:25px;
}

.hero-logo p{
  font-size:10px;
}

.main-card{
position: relative;
  padding:18px 18px;

  gap:16px;

  border-radius:28px;
  margin-bottom: 12px;
min-height: 30px;
}

.main-image{
  width:105px;
  margin-top: 10px;
}

.badge{
  padding:6px 12px;
  font-size:11px;
  margin-bottom:10px;
}

.main-content h2{

  font-size:20px;

  margin-bottom:8px;

}

.main-content p{

  font-size:12px;

}

.arrow-btn{

    position:absolute;

    right:16px;

    top:50%;

    transform:translateY(-50%);

    width:44px;

    height:44px;

    font-size:20px;

}



.cards-grid{

  grid-template-columns:1fr 1fr;

  gap:12px;

}

.card{

  flex-direction:column;

  align-items:flex-start;

  padding:18px;

  min-height:88px;

}

.card-icon{

  width:52px;
  height:52px;

  font-size:18px;

}

.card-text h3{
  font-size:15px;
}

.card-text p{
  font-size:12px;
}

.card-arrow{

  margin-top:auto;

  align-self:flex-end;

  font-size:14px;

}

.tiktok-header{
  padding:18px;
}

.tt-icon{

  width:52px;
  height:52px;

  font-size:24px;

}

.tt-left h3{
  font-size:15px;
}

.tt-left p{
  font-size:12px;
}

.tt-arrow{
  font-size:22px;
}

.step{
  padding:16px;
}

.step h4{
  font-size:14px;
}

.step p{
  font-size:12px;
}

.social{

  width:50px;
  height:50px;

  border-radius:16px;

}

}
/* ========================= */
/* LIVE STARS */
/* ========================= */

.dynamic-star{

    position:absolute;

    border-radius:50%;

    background:#25e4ff;

    opacity:.15;

    pointer-events:none;

    animation:
    twinkle 6s ease-in-out infinite;

    box-shadow:
    0 0 4px rgba(37,228,255,.6),
    0 0 10px rgba(37,228,255,.2);

}

.dynamic-star::after{

    content:'';

    position:absolute;

    left:50%;
    top:50%;

    transform:
    translate(-50%,-50%);

    width:12px;
    height:12px;

    border-radius:50%;

    background:
    radial-gradient(
    circle,
    rgba(37,228,255,.15),
    transparent 70%
    );

}

@keyframes twinkle{

    0%,100%{

        opacity:.08;
        transform:scale(1);

    }

    50%{

        opacity:.85;
        transform:scale(1.8);

    }

    
}
